# F2F Payment

Payment endpoints for face-to-face transactions.


## Get the Trustap fee for a face-to-face transaction

 - [GET /api/v1/p2p/charge](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.getcharge.md): This returns the Trustap fee, in the currency's smallest unit,
for a transaction involving goods with the supplied price. See
[the Stripe
documentation](https://stripe.com/docs/currencies#zero-decimal)
for more details.

## Update the description, currency, price and/or charge of this face-to-face transaction

 - [PATCH /api/v1/p2p/transactions/{transaction_id}](https://docs.trustap.com/apis/openapi/f2f-payment/updatef2ftransaction.md)

## Accept the deposit for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transaction_id}/accept_deposit](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.acceptdeposit.md): Offline access is allowed for this endpoint when the user has granted the p2p_tx:offline_accept_deposit scope to the client that is performing the request.

## Accept the deposit for this face-to-face transaction as a guest seller

 - [POST /api/v1/p2p/transactions/{transaction_id}/accept_deposit_with_guest_seller](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.acceptdepositwithguestseller.md)

## Get the bank transfer details for a face-to-face transaction which payment method is bank_transfer

 - [GET /api/v1/p2p/transactions/{transaction_id}/bank_transfer_details](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.getbanktransferdetails.md)

## Get the Stripe client secret for this face-to-face transaction

 - [GET /api/v1/p2p/transactions/{transaction_id}/deposit_stripe_client_secret](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.getdepositstripeclientsecretfortransaction.md): This endpoint is used for the asynchronous payment flow using
Stripe. The client_secret returned from this endpoint should
be passed to
stripe.confirmCardPayment
to start the payment process.

## Set deposit payment method for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transaction_id}/set_deposit_payment_method](https://docs.trustap.com/apis/openapi/f2f-payment/p2p.setdepositpaymentmethod.md): Set deposit payment method for face-to-face transaction. Values can be card,
bank_transfer, p24, and fpx.

## Set the total price for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transactionId}/set_price](https://docs.trustap.com/apis/openapi/f2f-payment/setpriceforp2ptransaction.md): price is the total price of the item, and thus includes the
price already paid for the deposit.

Note that this endpoint will return a remainder_too_low
response if the difference between the total price and the
deposit price is too low.
Offline access is allowed for this endpoint when the user has
granted the p2p_tx:offline_set_price scope to the client
that is performing the request.

## Skip the remainder for this face-to-face transaction

 - [POST /api/v1/p2p/transactions/{transactionId}/skip_remainder](https://docs.trustap.com/apis/openapi/f2f-payment/skipremainderforp2ptransaction.md): This will skip the remainder payment of this transaction, and
the total price of the transaction will not need to be set. Note
that this must be done before the total price of the transaction
is set using /set_price.

